
package de.ivu.elect.business.dokumente.control;

import de.ivu.elect.business.exchange.control.AbstractWahlterminExchangeContext;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class DokumentVorlageExchangeContext extends AbstractWahlterminExchangeContext {

  private static final long serialVersionUID = 1L;

  private final Wahl wahl;

  public DokumentVorlageExchangeContext(Wahl wahl) {
    this(wahl.getWahltermin(), wahl);
  }

  public DokumentVorlageExchangeContext(Wahltermin wahltermin, Wahl wahl) {
    super(wahltermin);

    this.wahl = wahl;
  }

  public boolean hasWahl() {
    return getWahl() != null;
  }

  public Wahl getWahl() {
    return wahl;
  }

  public boolean isWahlterminOderWahlGesetzt() {
    return hasWahl() || hasWahltermin();
  }
}
